Given a geojson of spaces on a floor, this endpoint would return the predicted number of people using these spaces when the requested number of people are attempting to use the spaces provided.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
This endpoint requires Predict API access. Contact VergeSense to discuss availability for your organization.
Note: Predictions of individual space usage are non deterministic and based on probability. Therefore, you are likely to see different distributions of people seated in spaces if multiple requests are made for the same person count value.
Request Body
The supplied input is expected to be valid geojson. At the top level there is expected to be a "person_counts" attribute whose value has the following specification:
- person_counts (
array[int] | int, required, limit50values) array of person count values or a single integer
value to include in the response
Within the geojson specification this type of attribute is considered a “foreign member”.
See the Predict API GeoJSON section for more information regarding the input expectations.
Response
The response will conform to the JSON API spec. The top level keys will be "data" and "meta". "data" will contain as many objects as "person_count" values requested via query parameter. Within each object the attributes will be "person_count" and "spaces".
- person_count: The person count simulated and distributed among the spaces.
- spaces: An array of space objects
- id: The original provided ID supplied through the geojson
- capacity: The original provided capacity supplied through the geojson
- normalized_space_type: The original provided normalized space type supplied through
the geojson - seated : The number of people expected to be seated in the space at the person count
- unseated: An object containing the 4 normalized space type keys. The value for each key
represents the number of people that wanted to use a space of that type but were unable to.

